Bug 206949 - www/h2o: Update to 1.7.0
Summary: www/h2o: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-02-05 10:33 UTC by Dave Cottlehuber
Modified: 2016-02-09 15:29 UTC (History)
0 users

See Also:


Attachments
v1 patch (2.29 KB, patch)
2016-02-05 10:33 UTC, Dave Cottlehuber
dch: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2016-02-05 10:33:20 UTC
Created attachment 166609 [details]
v1 patch

# change log

www/h2o: update to 1.7.0

This is a major update release, with following changes (including new
features and bug fixes) from 1.6.3.

- [core] support for wildcard hostnames
- [core][file] preserve query paramaters upon redirection to a directory
- [core] use uppercase letters in URI-escape sequence
- [core] forbid duplicates in hosts section
- [fastcgi] add support for CGI
- [fastcgi] drop transfer-encoding header
- [file] fix a bug that caused file.mime.addtypes to fail setting the
  attributes of a content-type
- [http2] fix broken PUSH_PROMISE frames being sent under high pressure
- [mruby] provide env["rack.input"]
- [mruby] HTTP client API
- [mruby] dump the ruby source on error
- [mruby] provide access to $H2O_ROOT
- [mruby] change mrb_int to 64-bit on 64-bit systems
- [mruby] concatenate request headers having same name
- [mruby] bundle mruby-errno, mruby-file-stat
- [mruby] refrain from building mruby handler by default if mkmf (part of
  ruby dev files) is not found
- [proxy] detect upstream close of pooled socket before reuse
- [reproxy] add support for relative URI
- [ssl] turn on neverbleed by default
- [libh2o] fix memory leaks during destruction
- [libh2o] simplify vector operations
- [misc] support basic authentication using .htpasswd
- [misc] fix build error when an older version of H2O is installed aside an
  external dependency 

# checks

- poudriere      OK (10.2 amd64)
- portlint -AC   OK


# poudriere

http://pkg.skunkwerks.at/poudriere/data/latest-per-pkg/h2o/1.7.0/

# pretty diff

https://github.com/dch/freebsd-ports/tree/h2o
Comment 1 commit-hook freebsd_committer 2016-02-09 15:29:26 UTC
A commit references this bug:

Author: koobs
Date: Tue Feb  9 15:28:32 UTC 2016
New revision: 408574
URL: https://svnweb.freebsd.org/changeset/ports/408574

Log:
  www/h2o: Update to 1.7.0

  - Update PORTVERSION and dinsto checksum (1.7.0)
  - Update pkg-plist

  Changes:

    https://github.com/h2o/h2o/blob/v1.7.0/Changes

  PR:		206949
  Submitted by:	Dave Cottlehuber <dch skunkwerks at> (maintainer)

Changes:
  head/www/h2o/Makefile
  head/www/h2o/distinfo
  head/www/h2o/pkg-plist
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-09 15:29:56 UTC
Committed, thank you Dave!